package es.uv.garcosda.controllers;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import es.uv.garcosda.domain.User;
import es.uv.garcosda.services.UserService;

@RestController
@RequestMapping("/api/v1")
public class MailerController {

	@Autowired
	private UserService us;
	
	@GetMapping("users/{email}")
	public ResponseEntity<?> getUser(@PathVariable("email") String email) {
		User u = this.us.findByEmail(email);
		if(u.getEmail() == null) {
			return new ResponseEntity<String>("No user found with email "+email, HttpStatus.NOT_FOUND);
		}
		else {
			return new ResponseEntity<User>(u, HttpStatus.NOT_FOUND);
		}
	}
	
}
